Get a voice agent
curl --request GET \
--url https://api.cloudtalk.io/v1/voice-agents/{voiceAgentId} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.cloudtalk.io/v1/voice-agents/{voiceAgentId}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.cloudtalk.io/v1/voice-agents/{voiceAgentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"attributes": {
"agentName": "Receptionist",
"defaultOutboundNumberId": 73836,
"direction": "inbound",
"goalPrompt": "<string>",
"language": "en",
"maxCallDurationMinutes": 30,
"optimizeStreamingLatency": 2,
"similarity": 0.5,
"stability": 0.5,
"temperature": 0.5,
"voiceId": "cgSgspJ2msm6clMCkdW9",
"createdAt": "2023-11-07T05:31:56Z",
"dialTimeoutSeconds": 62,
"elevenLabsSettings": {
"asrKeywords": [
"<string>"
],
"backgroundSound": {
"preset": "city",
"isCrossfadeLoopEnabled": true,
"volume": 0.5
},
"interruptionIgnoreTermLanguages": [
"<string>"
],
"interruptionIgnoreTerms": [
"<string>"
],
"isSpeculativeTurnEnabled": true,
"isVadEnabled": true,
"turnEagerness": "patient",
"turnModel": "turn_v2"
},
"failoverOutboundNumberId": 73836,
"greeting": "<string>",
"guardrails": [
{
"isEnabled": true,
"reply": "<string>",
"when": "<string>"
}
],
"isAgentSpeakingFirst": true,
"knowledgeBaseIds": [
"<string>"
],
"llmOverride": "openai - gpt-4o-mini",
"providerOverride": "elevenlabs",
"resolvedLlm": {
"model": "gpt-4o",
"provider": "openai"
},
"resolvedProvider": "<string>",
"scenarios": [
{
"isEnabled": true,
"reply": "<string>",
"action": "toolCall",
"actionParameters": {},
"toolId": "<string>",
"triggerType": "custom",
"when": "<string>"
}
],
"secondaryLanguages": [
"<string>"
],
"skills": {
"answerQuestions": {
"action": "admitUncertainty",
"isEnabled": true,
"transferConfig": {
"destination": "agent",
"agentExtension": "<string>",
"agentId": 123,
"groupExtension": "<string>",
"groupId": 123
}
},
"appointmentBooking": {
"calendarId": "<string>",
"durationMinutes": 240,
"eventName": "<string>",
"integrationId": "<string>",
"isEnabled": true,
"calendarEventDescription": "<string>",
"serviceDescription": "<string>"
},
"custom": [
{
"isEnabled": true,
"name": "<string>",
"prompt": "<string>"
}
],
"extractData": {
"isEnabled": true,
"properties": [
{
"description": "<string>",
"name": "callerName",
"type": "STRING"
}
],
"endpoint": "<string>"
},
"takeMessage": {
"isEnabled": true,
"prompt": "<string>"
},
"transferToHuman": {
"isEnabled": true,
"rules": [
{
"condition": "<string>",
"destination": "agent",
"agentExtension": "<string>",
"agentId": 123,
"groupExtension": "<string>",
"groupId": 123
}
],
"customProperties": [
{
"description": "<string>",
"name": "callerName",
"type": "STRING"
}
],
"includeProperties": [
"callerName"
],
"isConfirmationRequired": true
}
},
"status": "enabled",
"tone": [
"professional"
],
"updatedAt": "2023-11-07T05:31:56Z",
"verbosity": "concise"
},
"id": "<string>",
"type": "<string>"
},
"requestId": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"code": "<string>",
"message": "<string>",
"target": "<string>"
}
],
"target": "<string>"
},
"requestId": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "You are not authorized to access this resource."
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"code": "<string>",
"message": "<string>",
"target": "<string>"
}
],
"target": "<string>"
},
"requestId": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"code": "<string>",
"message": "<string>",
"target": "<string>"
}
],
"target": "<string>"
},
"requestId": "<string>"
}VoiceAgent
Get a voice agent
Returns one voice agent of the company.
GET
/
voice-agents
/
{voiceAgentId}
Get a voice agent
Authorizations
HTTP Basic Authentication. Use your API Access Key ID as the username and your API Access Key Secret as the password. Generate keys in the CloudTalk Dashboard under Account -> Settings -> API Keys (https://dashboard.cloudtalk.io/menu/account/settings/API-keys).
Path Parameters
Voice agent identifier